Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 806154 - media-sound/umurmur-0.2.20 - ssli_openssl.c: error: CRYPTO_MEM_CHECK_ON undeclared (first use in this function)
Summary: media-sound/umurmur-0.2.20 - ssli_openssl.c: error: CRYPTO_MEM_CHECK_ON undec...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: openssl-3.0
  Show dependency tree
 
Reported: 2021-08-02 08:46 UTC by Toralf Förster
Modified: 2022-03-05 00:07 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.21 KB, text/plain)
2021-08-02 08:46 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,240.75 KB, text/plain)
2021-08-02 08:46 UTC, Toralf Förster
Details
environment (environment,75.75 KB, text/plain)
2021-08-02 08:46 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,16.36 KB, application/x-bzip)
2021-08-02 08:46 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,6.91 KB, application/x-bzip)
2021-08-02 08:46 UTC, Toralf Förster
Details
media-sound:umurmur-0.2.20:20210801-213653.log (media-sound:umurmur-0.2.20:20210801-213653.log,19.32 KB, text/plain)
2021-08-02 08:46 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,22.68 KB, application/x-bzip)
2021-08-02 08:46 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-08-02 08:46:34 UTC
      |         ^~~~~~~~~~~~~~~
      |         CRYPTO_memcmp
ssli_openssl.c:145:25: error: ‘CRYPTO_MEM_CHECK_ON’ undeclared (first use in this function)
  145 |         CRYPTO_mem_ctrl(CRYPTO_MEM_CHECK_ON);
      |                         ^~~~~~~~~~~~~~~~~~~
ssli_openssl.c:145:25: note: each undeclared identifier is reported only once for each function it appears in
ssli_openssl.c:153:9: warning: ‘RSA_new’ is deprecated: Since OpenSSL 3.0 [-Wdeprecated-declarations]

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-j3_abi32+64_debug-20210729-185806

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.2.0 *
clang version 12.0.1
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.1
Python 3.9.6
Available Ruby profiles:
  (none found)
Available Rust versions:
  [1]   rust-bin-1.53.0 *
The following VMs are available for generation-2:
1)	JamVM JDK 2.0.0 [jamvm]
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   jamvm 
  [2]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  HEAD of ::gentoo
commit 49af11aef13b9c7c520ad12f67ef91452f82270e
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sun Aug 1 20:22:15 2021 +0000

    2021-08-01 20:22:14 UTC

emerge -qpvO media-sound/umurmur
[ebuild  N    ] media-sound/umurmur-0.2.20  USE="-gnutls -mbedtls -shm"
Comment 1 Toralf Förster gentoo-dev 2021-08-02 08:46:35 UTC
Created attachment 729561 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-08-02 08:46:37 UTC
Created attachment 729564 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-08-02 08:46:38 UTC
Created attachment 729567 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-08-02 08:46:39 UTC
Created attachment 729570 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-08-02 08:46:40 UTC
Created attachment 729573 [details]
logs.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-08-02 08:46:42 UTC
Created attachment 729576 [details]
media-sound:umurmur-0.2.20:20210801-213653.log
Comment 7 Toralf Förster gentoo-dev 2021-08-02 08:46:43 UTC
Created attachment 729579 [details]
temp.tar.bz2
Comment 8 Larry the Git Cow gentoo-dev 2022-03-05 00:07:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11ef57b76df54b68f0f14cbfe395714f01c3c61c

commit 11ef57b76df54b68f0f14cbfe395714f01c3c61c
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2022-03-05 00:04:12 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2022-03-05 00:07:45 +0000

    media-sound/umurmur: Fixed build against openssl-3
    
    Closes: https://bugs.gentoo.org/806154
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 media-sound/umurmur/files/umurmur-0.2.20-openssl3.patch | 11 +++++++++++
 media-sound/umurmur/umurmur-0.2.20.ebuild               |  6 +++++-
 2 files changed, 16 insertions(+), 1 deletion(-)